ITESIO(4)

NAME
itesio - ITE IT87xxF Super I/O driver

SYNOPSIS
itesio0 at isa? port 0x2e
itesio1 at isa? port 0x4e

DESCRIPTION
The itesio driver provides support for the Environment Controller and the Watchdog Timer on the IT87xxF Super I/Os, and may be used to monitor hardware sensors or setting up a watchdog timeout value for the system.

The itesio driver has 15 sensors:
Sensor | Units | Typical Use
Temp0 | uK | CPU Temp
Temp1 | uK | System Temp
Temp2 | uK | Aux Temp
VIN0 | uV DC | Vcore A
VIN1 | uV DC | Vcore B
VIN2 | uV DC | +3.3V
VIN3 | uV DC | +5V
VIN4 | uV DC | +12V
VIN5 | uV DC | -12V
VIN6 | uV DC | -5V
VIN7 | uV DC | STANDBY
VBAT | uV DC | VBAT
Fan0 | RPM | CPU Fan
Fan1 | RPM | System Fan
Fan2 | RPM | Aux Fan

The itesio Watchdog Timer is configurable via the wdogctl(8) utility and has a resolution between 1 and 65535 seconds. The Watchdog Timer is not supported on the IT8705 Super I/O.

SEE ALSO
envsys(4), envstat(8), wdogctl(8)

HISTORY
The itesio driver first appeared in OpenBSD 3.4 and was then ported to NetBSD 4.0.

AUTHORS
-nosplit The itesio driver was written by Julien Bordet <zejames@greyhats.org> and Juan Romero Pardines <xtraeme@netbsd.org>.

BUGS
Interrupt support is unimplemented.